using Edu.Common.Plugin;

namespace Edu.Common.Enum.User
{
    /// <summary>
    /// 请假类型
    /// </summary>
    public enum AskforleaveTypeEnum
    {
        /// <summary>
        /// 年假
        /// </summary>
        [EnumField("年假")]
        AnnualLeave = 1,
        /// <summary>
        /// 事假
        /// </summary>
        [EnumField("事假")]
        AffairLeave = 2,
        /// <summary>
        /// 病假
        /// </summary>
        [EnumField("病假")]
        SickLeave = 3,
        /// <summary>
        /// 调休
        /// </summary>
        [EnumField("调休")]
        PaidLeave = 4,
        /// <summary>
        /// 产假
        /// </summary>
        [EnumField("产假")]
        MaternityLeave = 5,
        /// <summary>
        /// 婚假
        /// </summary>
        [EnumField("婚假")]
        MarriageLeave = 6,
        /// <summary>
        /// 例假
        /// </summary>
        [EnumField("例假")]
        Period = 7,
        /// <summary>
        /// 丧假
        /// </summary>
        [EnumField("丧假")]
        FuneralLeave = 8
    }

    /// <summary>
    /// 等式类型 1小于  2 大于  3 等于  4小于等于  5 大于等于  6介于直接
    /// </summary>
    public enum EquationTypeEnum{
        /// <summary>
        /// 小于
        /// </summary>
        [EnumField("小于")]
        LessThan = 1,
        /// <summary>
        /// 大于
        /// </summary>
        [EnumField("大于")]
        GreaterThan = 2,
        /// <summary>
        /// 等于
        /// </summary>
        [EnumField("等于")]
        EqualTo = 3,
        /// <summary>
        /// 小于等于
        /// </summary>
        [EnumField("小于等于")]
        LessThanOrEqualTo = 4,
        /// <summary>
        /// 大于等于
        /// </summary>
        [EnumField("大于等于")]
        GreaterThanOrEqualTo = 5,
        /// <summary>
        /// 介于之间
        /// </summary>
        [EnumField("介于之间")]
        InBetween = 6
    }
}